Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QLibraryInfo.LibraryLocation

    java.lang.Object
      java.lang.Enum<QLibraryInfo.LibraryLocation>
          com.trolltech.qt.core.QLibraryInfo.LibraryLocation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLibraryInfo.LibraryLocation>

Enclosing class:
  QLibraryInfo

    public static enum QLibraryInfo.LibraryLocation

extends java.lang.Enum<QLibraryInfo.LibraryLocation>
implements QtEnumerator

This enum type is used to specify a specific location specifier.

Constant | Value | Description
--- | --- | ---
`PrefixPath` | `0` | The default prefix for all paths.
`DocumentationPath` | `1` | The location for documentation upon install.
`HeadersPath` | `2` | The location for all headers.
`LibrariesPath` | `3` | The location of installed librarires.
`BinariesPath` | `4` | The location of installed Qt binaries (tools and applications).
`PluginsPath` | `5` | The location of installed Qt plugins.
`DataPath` | `6` | The location of general Qt data.
`TranslationsPath` | `7` | The location of translation information for Qt strings.
`SettingsPath` | `8` | The location for Qt settings.
`ExamplesPath` | `10` | The location for examples upon install.
`DemosPath` | `9` | The location for demos upon install.

See Also:
  `location`

Enum Constant Summary
`BinariesPath` The location of installed Qt binaries (tools and applications).
`DataPath` The location of general Qt data.
`DemosPath` The location for demos upon install.
`DocumentationPath` The location for documentation upon install.
`ExamplesPath` The location for examples upon install.
`HeadersPath` The location for all headers.
`LibrariesPath` The location of installed librarires.
`PluginsPath` The location of installed Qt plugins.
`PrefixPath` The default prefix for all paths.
`SettingsPath` The location for Qt settings.
`TranslationsPath` The location of translation information for Qt strings.

Method Summary
`static QLibraryInfo.LibraryLocation` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLibraryInfo.LibraryLocation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLibraryInfo.LibraryLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PrefixPath

    public static final QLibraryInfo.LibraryLocation PrefixPath

  The default prefix for all paths.

### DocumentationPath

    public static final QLibraryInfo.LibraryLocation DocumentationPath

  The location for documentation upon install.

### HeadersPath

    public static final QLibraryInfo.LibraryLocation HeadersPath

  The location for all headers.

### LibrariesPath

    public static final QLibraryInfo.LibraryLocation LibrariesPath

  The location of installed librarires.

### BinariesPath

    public static final QLibraryInfo.LibraryLocation BinariesPath

  The location of installed Qt binaries (tools and applications).

### PluginsPath

    public static final QLibraryInfo.LibraryLocation PluginsPath

  The location of installed Qt plugins.

### DataPath

    public static final QLibraryInfo.LibraryLocation DataPath

  The location of general Qt data.

### TranslationsPath

    public static final QLibraryInfo.LibraryLocation TranslationsPath

  The location of translation information for Qt strings.

### SettingsPath

    public static final QLibraryInfo.LibraryLocation SettingsPath

  The location for Qt settings.

### DemosPath

    public static final QLibraryInfo.LibraryLocation DemosPath

  The location for demos upon install.

### ExamplesPath

    public static final QLibraryInfo.LibraryLocation ExamplesPath

  The location for examples upon install.

Method Detail

### values

    public static final QLibraryInfo.LibraryLocation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLibraryInfo.LibraryLocation c : QLibraryInfo.LibraryLocation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLibraryInfo.LibraryLocation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLibraryInfo.LibraryLocation resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD